## Get all price lists

### cURL

```bash
curl --request GET \
  --url 'https://live.copilot.fabric.inc/api-offers/price-list?limit=10&sortBy=updatedAt&sortOrder=desc' \
  --header 'Authorization: Bearer <token>' \
  --header 'x-site-context: <x-site-context>'
```

```python
import requests

url = "https://live.copilot.fabric.inc/api-offers/price-list?limit=10&sortBy=updatedAt&sortOrder=desc"

headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
```

```javascript
const options = {
  method: 'GET',
  headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};

fetch('https://live.copilot.fabric.inc/api-offers/price-list?limit=10&sortBy=updatedAt&sortOrder=desc', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php


```

### Status Codes

- 200
- 400
- 500

### Response Example

```json
{
  "query": {
    "limit": 10,
    "count": 150,
    "offset": 0
  },
  "data": [
    {
      "_id": "614b58924e92f6861ac9d43b",
      "priceListId": 10000003,
      "name": "BuildMuscles-CONTRACT123",
      "isDefault": false,
      "currency": "USD",
      "startDate": "2021-05-04T09:23:51.459Z",
      "endDate": "2021-06-09T09:23:51.459Z",
      "deleted": false,
      "createdAt": "2020-12-14T12:15:43.646Z",
      "updatedAt": "2021-12-14T12:15:43.646Z"
    }
  ]
}
```

```json
{
  "code": "BAD_REQUEST",
  "message": "Bad Request"
}
```

```json
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error."
}
```

### Authorization

#### Authorization

- **Type**: string
- **Location**: header
- **Required**: Yes
- **Description**: Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

### Headers

#### x-site-context

- **Type**: string
- **Location**: header
- **Required**: Yes
- **Description**: The `x-site-context` header is a JSON object that contains information about the source you wish to pull from. The mandatory `account` is the 24 character identifier found in Copilot. The `channel` (Sales channel ID), `stage` (environment name), and `date` attributes can be used to further narrow the scope of your data source.

**Example:**

```json
{"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account": "1234abcd5678efgh9ijklmno","stage":"production"}
```

### Query Parameters

- **limit**: number (default: 10)
  - **Description**: The maximum number of records per page. Required range: `x >= 0`
- **offset**: number (default: 0)
  - **Description**: The number of records to skip before returning records. For example, when offset is 20 and limit is 10, this endpoint returns records from 21 to 30. Required range: `x >= 0`
- **sortBy**: enum<string> (default: updatedAt)
  - **Description**: Field by which you want to sort the records
  - **Options**: `updatedAt`, `name`, `priceListId`
- **sortOrder**: enum<string> (default: desc)
  - **Description**: Sorting order of the records
  - **Options**: `asc`, `desc`
- **filter**: enum<string>
  - **Options**: `not_expired`
- **isDefault**: enum<boolean>
  - **Options**: `true`, `false`

### Response

- **Status Code 200**: application/json
  - **Description**: OK
  - **Response Example**:
```json
{
  "query": {
    "limit": 10,
    "count": 150,
    "offset": 0
  },
  "data": []
}
```

---
